# generated automatically by aclocal 1.9.6 -*- Autoconf -*-

# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
# 2005  Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

m4_include([m4/oldlocal.m4])
# Find a program when cross-compiling, or use a default when not.
# $1 = variable which records the outcome
# $2 = program to look for when cross-compiling
# $3 = program to use when not cross-compiling
AC_DEFUN([KPSE_CROSS_PATH_PROG],
  [if test "$cross_compiling" = yes; then
AC_PATH_PROG([$1], [$2])
if test -z "${$1}"; then
  AC_MSG_ERROR([$2 was not found but is required when cross-compiling.
  Install $2 or set \$$1 to the full pathname.])
fi
else
  $1=$3
fi])

# Set BUILD$1 to $2 when cross-compiling, to $($1) if not.
# Example: KPSE_CROSS_BUILD_VAR([CC], [cc]) sets 'BUILDCC' to 'cc'
# if cross-compiling, and to '$(CC)' if not.
AC_DEFUN([KPSE_CROSS_BUILD_VAR],
  [if test "$cross_compiling" = yes; then
  if test -z "${BUILD$1}"; then
    BUILD$1='$2'
  fi
  AC_MSG_RESULT([setting \$BUILD$1 to ${BUILD$1}])
else
  if test -n "${BUILD$1}"; then
    AC_MSG_WARN([\$BUILD$1 set but not cross-compiling.])
  fi
  BUILD$1='$($1)'
fi
AC_SUBST(BUILD$1)
])


# kpse_ac.m4
dnl Copyright (C) ........

dnl Authors:
dnl   ....

dnl Private macros for the kpathsea library, not to be installed.

# KPSE_CONFIG_FILES(FILE..., [COMMANDS], [INIT-CMDS])
# ---------------------------------------------------
# Specify output files that are configured with AC_SUBST.
# In a first step, each input file is converted into an auxiliary file
# with all `kpse_include' directives resolved.
# I a second step each auxiliary file is passed to AC_CONFIG_FILES
# with the (optional) COMMANDS to be run after config.status creates
# the output file.
#
# Each FILE is specified as OUTPUT[:[INPUT][:[AUX]]], i.e., the syntax is
# similar to that for AC_CONFIG_FILES but the meaning is quite different,
# there is one unique INPUT for each OUTPUT.  If omitted, INPUT defaults
# to OUTPUT.in and AUX to OUTPUT.aux.
AC_DEFUN([KPSE_CONFIG_FILES],
[AC_REQUIRE([KPSE_EMPTY])dnl
AC_FOREACH([AC_File], [$1],
  [_KPSE_CONFIG_FILE([$2], m4_bpatsubst(AC_File, [:], [,]))])dnl
_AC_CONFIG_COMMANDS_INIT([$3])dnl
])

# _KPSE_CONFIG_FILE([COMMANDS], OUTPUT, [INPUT], [AUX])
# -----------------------------------
# See above.
m4_define([_KPSE_CONFIG_FILE],
[AC_CONFIG_FILES(m4_ifval([$4], [$4], [$2].aux):_KPSE_EMPTY,
  [_KPSE_INCLUDE(m4_ifval([$4], [$4], [$2].aux), m4_ifval([$3], [$3], [$2].in))])dnl
AC_CONFIG_FILES([$2]:m4_ifval([$4], [$4], [$2].aux), [$1])dnl
])

# _KPSE_INCLUDE(DEST, SOURCE)
# ---------------------------
# Create DEST from SOURCE with all occurrences of
#      kpse_include INCLUDE_FILE
# replaced by the contents if INCLUDE_FILE if that file exists.
m4_define([_KPSE_INCLUDE],
[kpse_input=`case $2 in
  [[\\/$]]*) # Absolute
    test -f "$2" || AC_MSG_ERROR([cannot find input file: $2])
    echo "$2";;
  *) # Relative
    if test -f "$2"; then
      # Build tree
      echo "$2"
    elif test -f "$srcdir/$2"; then
      # Source tree
      echo "$srcdir/$2"
    else
      # /dev/null tree
      AC_MSG_ERROR([cannot find input file: $2])
    fi;;
  esac` || AS_EXIT([1])
# Replace lines of the form "kpse_include foo" with the contents of foo:
# first, from the kpse_include lines construct a list of file names.
# From that list, we construct a second list of those files that exist.
# Then we construct a list of sed commands for including those files,
# and a sed command that removes the kpse_include lines. We don't attempt
# to read non-existent files because some (buggy) versions of sed choke
# on this. Have to use sed because old (Ultrix, SunOs) awk does not support
# getline or system. (Anyway, configure scripts aren't supposed to use awk.)
# Can't use only one -e and commands {dr foo} because foo has to be last.
# Be careful, because the filename may contain /.
# Be careful with whitespace; we need to use echo.
kpse_file_substs=`sed -n '/^kpse_include/s%[[ 	]]*\(.*\)%\1%p' "$kpse_input"`
if test x"$kpse_file_substs" = x; then
  AC_MSG_WARN([No need to use \`[KPSE_CONFIG_FILES]' for input \`$2'
               without any \`kpse_include' directives])
fi
# Create the sed command line ...
# Input lines containing "@configure_input@" are output twice,
# first unmodified and then with our modifications.
kpse_substs="sed -e '/@configure_input@/p' \
  -e 's,@configure_input@,$1.  Generated from `echo $2 |
  sed 's,.*/,,'` by configure.,'"
for kpse_inc in $kpse_file_substs; do
  kpse_read=`case $kpse_inc in
    [[\\/$]]*) # Absolute
      if test -f "$kpse_inc"; then
        echo "$kpse_inc"
      fi;;
    *) # Relative
      if test -f "$kpse_inc"; then
        # Build tree
        echo "$kpse_inc"
      elif test -f "$srcdir/$kpse_inc"; then
        # Source tree
        echo "$srcdir/$kpse_inc"
      fi;;
  esac`
  if test -n "$kpse_read"; then
    kpse_mung=`echo $kpse_inc | sed 's,/,%,g'`
    kpse_substs="$kpse_substs -e '/^kpse_include $kpse_mung$/r $kpse_read'"
  fi
done
# ... and fix the whitespace and escaped slashes.
kpse_substs=`echo "$kpse_substs" | sed -e 's,%,\\\/,g' \
  -e 's/kpse_include /kpse_include[[ 	]]*/g'`
dnl The parens around the eval prevent an "illegal io" in Ultrix sh.
(eval $kpse_substs -e '/^kpse_include/d' "$kpse_input") > $1
])


# KPSE_EMPTY(FILE)
# ----------------
# Create an empty auxiliary file FILE.
# KPSE_CONFIG_FILES normally uses an empty file `kpse_empty',
# with KPSE_EMPTY the name of that file can be changed to FILE.
AC_DEFUN([KPSE_EMPTY],
[m4_ifdef([_KPSE_EMPTY],
          [AC_FATAL([_KPSE_EMPTY is already registered as] `_KPSE_EMPTY'.)])dnl
m4_define([_KPSE_EMPTY], m4_ifval([$1], [$1], [kpse_empty]))
AC_CONFIG_COMMANDS_PRE([echo empty >]_KPSE_EMPTY)dnl
])


# AM_MAINTAINER_MODE
# ------------------
# Add --enable-maintainer-mode option to configure.
# From automake distribution, by Jim Meyering:

AC_DEFUN([AM_MAINTAINER_MODE],
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE([maintainer-mode],
[  --enable-maintainer-mode enable make rules and dependencies not useful
                           (and sometimes confusing) to the casual installer],
      [USE_MAINTAINER_MODE=$enableval],
      [USE_MAINTAINER_MODE=no])
  AC_MSG_RESULT([$USE_MAINTAINER_MODE])
  if test "x$USE_MAINTAINER_MODE" = xyes; then
    MAINT=
  else
    MAINT='#M#'
  fi
  AC_SUBST(MAINT)dnl
])


